/**
 * 画面読込時追加処理
 * @param 無し
 * @return 無し
 * @throws 実行時例外
 */
function onLoadExtra() {
	// 項目背景色設定
	setFieldsBgColor(ARY_FIELDS_ID,     COLOR_FIELD_NORMAL);
	setFieldsBgColor(ARY_ERR_FIELDS_ID, COLOR_FIELD_ERROR);
	// フォーカス設定
	setFocus(PRM_TXT_COMMENT);
	// 項目長設定
	setMaxLength(PRM_TXT_COMMENT, LEN_COMMENT);
	// 更新不可
	if (MODE == 2) {
		setVisibility("btnApprove",false);
		setVisibility("btnReturn",false);
	}
}

/**
 * サーバー通信処理
 * @param 無し
 * @return 無し
 * @throws 実行時例外
 */
function submitForm(objForm, cmd) {
	// 入力チェック
	if (validate(cmd)) {
		// サーバー通信(入力エラー無の場合)
		if (cmd == 'K2137') {
			doSubmitMessage(objForm, cmd, 'QC2020', '');
		} else if (cmd == 'K2138') {
			doSubmitMessage(objForm, cmd, 'QC2021', '');
		}
	}
}

/**
 * 入力チェック
 * @param 無し
 * @return チェック結果(true：OK、false：NG)
 * @throws 実行時例外
 */
function validate(cmd) {
	// フィールド背景色設定
	setFieldsBgColor(ARY_FIELDS_ID, COLOR_FIELD_NORMAL);
	// 入力チェック
	var aryMessage = new Array();
	if (cmd == 'K2138') {
		checkRequired(PRM_TXT_COMMENT, NAM_COMMENT, aryMessage);
		checkLength(PRM_TXT_COMMENT, LEN_COMMENT, NAM_COMMENT, aryMessage);	
	}

	if (aryMessage.length == 0) {
		return true;
	} else {
		showMessage(aryMessage);
		return false;
	}
}
